/*
*/

#ifndef PHONON_GST_DELAYAUDIOEFFECT_H
#define PHONON_GST_DELAYAUDIOEFFECT_H

#include <QQueue>
#include "effectinterface.h"

namespace Phonon
{
namespace Gst
{
	class DelayAudioEffect : public EffectInterface
	{
		public:
			DelayAudioEffect();
			~DelayAudioEffect();

			virtual QVariant value( int parameterId ) const;
			virtual void setValue( int parameterId, QVariant newValue );
			virtual void processBuffer( QVector<float>& buffer );

		private:
			QQueue<float> m_delayBuffer;
			float m_feedback, m_level;
	};
}} //namespace Phonon::Gst

// vim: sw=4 ts=4 tw=80
#endif // PHONON_GST_DELAYAUDIOEFFECT_H
